Bug 825515 - [abrt] python-2.7.3-6.fc17: __GI_raise: Process /usr/bin/python2.7 was killed by signal 6 (SIGABRT)
[abrt] python-2.7.3-6.fc17: __GI_raise: Process /usr/bin/python2.7 was killed...
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-27 04:09 EDT by Juan Orti
Modified: 2013-07-31 23:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 23:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (33.44 KB, text/plain)
2012-05-27 04:09 EDT, Juan Orti
no flags Details
File: maps (54.69 KB, text/plain)
2012-05-27 04:09 EDT, Juan Orti
no flags Details
File: dso_list (11.42 KB, text/plain)
2012-05-27 04:09 EDT, Juan Orti
no flags Details
File: build_ids (4.32 KB, text/plain)
2012-05-27 04:09 EDT, Juan Orti
no flags Details

  None (edit)
Description Juan Orti 2012-05-27 04:09:33 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/system-config-firewall
crash_function: __GI_raise
executable:     /usr/bin/python2.7
kernel:         3.3.7-1.fc17.x86_64
pid:            5502
pwd:            /home/juan
time:           dom 27 may 2012 10:07:04 CEST
uid:            1000
username:       juan
var_log_messages: May 27 10:07:04 xenon abrt[6163]: Saved core dump of pid 5502 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-05-27-10:07:04-5502 (80621568 bytes)

backtrace:      Text file, 34245 bytes
build_ids:      Text file, 4428 bytes
dso_list:       Text file, 11697 bytes
maps:           Text file, 56004 bytes


:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68867 g_assertion_message libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68d84 g_assertion_message_expr libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0xff378 - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x10165e - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x1016fc - libgtk-x11-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6ce77 g_simple_async_result_complete libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6cef8 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:e4ee09219dd69e5a1f6b06fb78c7488a3a6260df 0x1a65a8 - _gtk.so -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdce46 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdcd61 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddc02 PyEval_EvalCode libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf6baa - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf79a2 PyRun_FileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf83bb PyRun_SimpleFileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x109892 Py_Main libpython2.7.so.1.0 -

:'LESSOPEN=||/usr/bin/lesspipe.sh %s'

:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 125911               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       125911               125911               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

:pos:	0
:flags:	0100000
:pos:	8657
:flags:	0102002
:pos:	8657
:flags:	0102002
:pos:	0
:flags:	00
:pos:	0
:flags:	02004002
:pos:	0
:flags:	02004002
:pos:	0
:flags:	02004002
:pos:	0
:flags:	02004002
:pos:	0
:flags:	02004000
:pos:	0
:flags:	02004002
:pos:	0
:flags:	04001
Comment 1 Juan Orti 2012-05-27 04:09:40 EDT
Created attachment 587060 [details]
File: backtrace
Comment 2 Juan Orti 2012-05-27 04:09:51 EDT
Created attachment 587061 [details]
File: maps
Comment 3 Juan Orti 2012-05-27 04:09:53 EDT
Created attachment 587062 [details]
File: dso_list
Comment 4 Juan Orti 2012-05-27 04:09:56 EDT
Created attachment 587063 [details]
File: build_ids
Comment 5 Alexei Panov 2012-05-28 10:10:51 EDT
Fedora 17 fresh install from livecd-xfce
1. run system-config-firewall
2. uncheck and check ssh
3. apply
4. close application
5. abrt

backtrace_rating: 4
Package: python-2.7.3-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Dave Malcolm 2012-05-29 09:06:09 EDT
Thanks for filing this bug report.

Looking at the backtrace in attachment 587060 [details] I see that the SIGABRT happened due to a failing g_assert in thread 1 frame 4 within gtk_file_system_model_sort.

The failing assertion was:
    r == n_visible_rows
Comment 7 Fedora End Of Life 2013-07-03 20:21:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 23:58:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.